Loading...
Searching...
No Matches
wayland::server::zwp_primary_selection_device_manager_v1_t Class Reference

X primary selection emulation. More...

`#include <wayland-server-protocol-unstable.hpp>`

## Public Member Functions

std::function< void(zwp_primary_selection_source_v1_t)> & | on_create_source ()
| create a new primary selection source
std::function< void(zwp_primary_selection_device_v1_t, seat_t)> & | on_get_device ()
| create a new primary selection device
std::function< void()> & | on_destroy ()
| destroy the primary selection device manager
bool | proxy_has_object () const
| Check whether this wrapper actually wraps an object.
void | post_no_memory () const
uint32_t | get_id () const
client_t | get_client () const
unsigned int | get_version () const
std::string | get_class ()

## Detailed Description

X primary selection emulation.

The primary selection device manager is a singleton global object that provides access to the primary selection. It allows to create wp_primary_selection_source objects, as well as retrieving the per-seat wp_primary_selection_device objects.

Definition at line 3524 of file wayland-server-protocol-unstable.hpp.

## Member Function Documentation

## get_class()

std::string wayland::server::resource_t::get_class | ( |  | ) |

inherited

Retrieve the interface name (class) of a resource object.

Returns
  Interface name of the resource object.

## get_client()

client_t wayland::server::resource_t::get_client | ( |  | ) | const

inherited

Get the associated client

Returns
  the client that owns the resource.

## get_id()

uint32_t wayland::server::resource_t::get_id | ( |  | ) | const

inherited

Get the internal ID of the resource

Returns
  the internal ID of the resource

## get_version()

unsigned int wayland::server::resource_t::get_version | ( |  | ) | const

inherited

Get interface version

Returns
  Interface version this resource has been constructed with.

## on_create_source()

std::function< void(zwp_primary_selection_source_v1_t)> & zwp_primary_selection_device_manager_v1_t::on_create_source | ( |  | ) |

create a new primary selection source

Parameters

  id |

Create a new primary selection source.

Definition at line 5778 of file wayland-server-protocol-unstable.cpp.

## on_destroy()

std::function< void()> & zwp_primary_selection_device_manager_v1_t::on_destroy | ( |  | ) |

destroy the primary selection device manager

Destroy the primary selection device manager.

Definition at line 5790 of file wayland-server-protocol-unstable.cpp.

## on_get_device()

std::function< void(zwp_primary_selection_device_v1_t, seat_t)> & zwp_primary_selection_device_manager_v1_t::on_get_device | ( |  | ) |

create a new primary selection device

Parameters

  id |
  seat |

Create a new data device for a given seat.

Definition at line 5784 of file wayland-server-protocol-unstable.cpp.

## post_no_memory()

void wayland::server::resource_t::post_no_memory | ( |  | ) | const

inherited

Post "not enough memory" error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

## proxy_has_object()

bool wayland::server::resource_t::proxy_has_object | ( |  | ) | const

inherited

Check whether this wrapper actually wraps an object.

Returns
  true if there is an underlying object, false if this wrapper is empty

The documentation for this class was generated from the following files:

- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.hpp
- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.cpp